Azure
probe Machine

# count_machines

Return count of Azure virtual machines

Run it now
View details

Type | probe
Module | chaosazure.machine.probes
Name | count_machines
Return | integer

Usage

JSON

    {
      "name": "count-machines",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosazure.machine.probes",
        "func": "count_machines"
      }
    }

YAML

    name: count-machines
    provider:
      func: count_machines
      module: chaosazure.machine.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | string | null | No | Filter | Target filter selector

Filtering example: `'where resourceGroup=="myresourcegroup" and name="myresourcename"'`

Signature

    def count_machines(filter: str = None,
                      configuration: Dict[str, Dict[str, str]] = None,
                      secrets: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- Azure
  action Machine

  ## `burn_io`

  Increases the Disk I/O operations per second of the virtual machine
- Azure
  action Machine

  ## `fill_disk`

  Fill the disk with random data
- Azure
  action Machine

  ## `stress_cpu`

  Stress CPU up to 100% at random machines